# $Revision: 1.6 $, $Date: 2004/05/06 19:38:10 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	XML
%define	pnam	Filter-GenericChunk
Summary:	XML::Filter::GenericChunk - base class for SAX filters parsing WellBallanced chunks
Summary(pl):	XML::Filter::GenericChunk - klasa bazowa dla filtrw SAX analizujcych fragmenty WellBallanced
Name:		perl-XML-Filter-GenericChunk
Version:	0.06
Release:	1
License:	unknown
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	2177460740dd40690caf42000ab07a3b
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-XML-LibXML >= 1.40
BuildRequires:	perl-XML-SAX
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
XML::Filter::GenericChunk is inherited by XML::SAX::Base.
XML::Filter::GenericChunk itself is an abstract class, therefore as
a filter it will not result any useful output.  If you need a simple
Chunk filter for your SAX pipeline, check XML::Filter::CharacterChunk
which is shipped with this module.

%description -l pl
XML::Filter::GenericChunk jest dziedziczona przez XML::SAX::Base.
Sama XML::Filter::GenericChunk jest abstrakcyjn klas, wic jako
filtr nie da adnego przydatnego wyjcia. Jeli potrzebny jest prosty
filtr Chunk dla potokw SAX, mona sprawdzi klas
XML::Filter::CharacterChunk doczon do tego moduu.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorlib}/XML/*/*.pm
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-XML-Filter-GenericChunk.spec,v $
Revision 1.6  2004/05/06 19:38:10  qboosh
- fixed contact info

Revision 1.5  2004/05/06 19:04:01  qboosh
- pl desc

Revision 1.4  2004/05/06 18:21:29  ankry
- fixed perl-devel BR

Revision 1.3  2004/05/06 02:07:06  ankry
- pl summary, formatting

Revision 1.2  2004/05/05 20:26:50  radek
- added forgotten md5

Revision 1.1  2004/05/05 20:25:36  radek
- new
